| Method | URI | Description |
|---|---|---|
| GET | /v2.0/tenants/{tenantId}/OS-KSCATALOG/endpoints/{endpointId} | Gets endpoint for a tenant. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the get endpoint request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the URI parameters for the get endpoint request:
| Name | Type | Description |
|---|---|---|
| String | The tenant ID. |
| String | The endpoint ID. |
This operation does not require a request body.
Example 4.57. Get Endpoint: XML response
<?xml version="1.0" encoding="UTF-8"?>
<endpoint
id="1"
tenantId="1"
type="compute"
name="Compute"
region="North"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1"
xmlns="http://docs.openstack.org/identity/api/v2.0">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpoint>Example 4.58. Get Endpoint: JSON response
{
"endpoint": {
"id": 1,
"tenantId": 1,
"region": "North",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
}
}

